# $Revision: 1.18 $, $Date: 2005/10/13 16:07:45 $
#
# Conditional build:
%bcond_without	initrd	# without initrd version
#
Summary:	Device-mapper RAID tool
Summary(pl):	Narzdzie do RAID-u opartego o device-mapper
Name:		dmraid
Version:	1.0.0
%define	_rc rc9
%define	_rel 1
Release:	0.%{_rc}.%{_rel}
License:	GPL
Group:		Base
Source0:	http://people.redhat.com/~heinzm/sw/dmraid/src/%{name}-%{version}.%{_rc}.tar.bz2
# Source0-md5:	668fd3d35e66b3ee0d9ca00c5fb63149
Patch0:		%{name}-selinux-static.patch
Patch1:		%{name}-bigendian-fix.patch
URL:		http://people.redhat.com/~heinzm/sw/dmraid/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	device-mapper-devel >= 1.01.01
%{?with_initrd:BuildRequires:	device-mapper-static}
%{?with_initrd:BuildRequires:	glibc-static}
%{?with_initrd:BuildRequires:	libselinux-static}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DMRAID supports device discovery, set activation and display of
properties for ATARAID on Linux >= 2.4 using device-mapper.

%description -l pl
DMRAID obsuguje wykrywanie urzdze, ustawianie aktywacji i
wywietlanie waciwoci ATARAID-u na Linuksie >= 2.4 przy uyciu
device-mappera.

%package initrd
Summary:	Device-mapper RAID tool - statically linked version
Summary(pl):	Narzdzie do RAID-u opartego o device-mapper - wersja statyczna
Group:		Base

%description initrd
Statically linked version of dmraid utility.

%description initrd -l pl
Statycznie skonsolidowana wersja programu narzdziowego dmraid.

%prep
%setup -q -n %{name}
mv */* ./
%patch0 -p2
#%patch1 -p1 # review. was it just typo fix?

%build
cp -f /usr/share/automake/config.sub autoconf
%{__aclocal}
%{__autoconf}

%if %{with initrd}
%configure \
	--enable-static_link
%{__make}
cp -f tools/dmraid{,-initrd}
%{__make} clean
%endif

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -D tools/dmraid $RPM_BUILD_ROOT%{_sbindir}/dmraid
%{?with_initrd:install -D tools/dmraid-initrd $RPM_BUILD_ROOT/sbin/dmraid-initrd}
install -D man/dmraid.8 $RPM_BUILD_ROOT%{_mandir}/man8/dmraid.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO doc/dmraid_design.txt
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dmraid.spec,v $
Revision 1.18  2005/10/13 16:07:45  glen
- rel 1

Revision 1.17  2005/10/13 08:56:27  glen
- rc9

Revision 1.16  2005/05/03 15:20:35  arekm
- BR new dm

Revision 1.15  2005/04/17 17:19:34  darekr
- killed BR gettext-devel

Revision 1.14  2005/04/17 12:42:01  paszczus
- adapratized

Revision 1.13  2005/04/17 12:36:51  paszczus
- updated to 1.0.0rc7
- updated dmraid-selinux-static.patch

Revision 1.12  2005/04/17 12:18:12  sparky
- kill gettextize, package isn't using it and it fails with new gettext
- fixed build without initrd
- fixed build on big endian arch

Revision 1.11  2005/04/06 19:50:32  paszczus
- updated to 1.0.0rc6

Revision 1.10  2005/02/23 17:51:48  adasi
- added missing BR's

Revision 1.9  2005/02/21 20:14:35  ankry
- no pl jargon please

Revision 1.8  2005/02/21 19:45:59  qboosh
- initrd bcond, cosmetics

Revision 1.7  2005/02/21 18:45:06  adasi
- added static version
- still needs fix - won't work on non-selinux systems
- static version not tested
- anyone wants to include it in geninitrd? :)

Revision 1.6  2004/11/25 22:59:07  areq
- dmraid 1.0.0-rc5f

Revision 1.5  2004/11/03 22:23:33  ankry
- rel. .2

Revision 1.4  2004/11/03 22:02:06  ankry
- attempt to fix on amd64

Revision 1.3  2004/11/03 21:42:17  adasi
- proper release

Revision 1.2  2004/09/08 17:53:16  qboosh
- pl, BR: am,gt

Revision 1.1  2004/09/07 15:10:36  areq
- init PLD spec
